%define	name	libv3d
%define	version 0.1.14
%define release 3mdk
%define Summary	IO library for the V3D file format
%define major	1
%define libname	%{name}%{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
License: 	LGPL
Group: 		System/Libraries
Source:		ftp://wolfpack.twu.net/users/wolfpack/%{name}-%{version}.tar.bz2
Url: 		http://wolfpack.twu.net/Vertex
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	Mesa-common-devel

%description
The libv3d library is a IO library for the V3D file format, a 3D model
file generated by the modeller Vertex 3D Model Assembler (hence the
name V3D).
It is used to read and write V3D data to/from file and memory with
integrated OpenGL library support. V3D data can be loaded and then 
interprited into GL commands, suitable for GL display lists.
To learn more about the API, read `man V3DIntro' after installation of
the libv3d library.

%package -n	%{libname}
Summary:	IO library for the V3D file format
Group:		System/Libraries

%description -n	%{libname}
The libv3d library is a IO library for the V3D file format, a 3D model
file generated by the modeller Vertex 3D Model Assembler (hence the
name V3D).
It is used to read and write V3D data to/from file and memory with
integrated OpenGL library support. V3D data can be loaded and then 
interprited into GL commands, suitable for GL display lists.
To learn more about the API, read `man V3DIntro' after installation of
the libv3d library.

%package -n	%{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel

%description -n	%{libname}-devel
This package contains the headers that programmers will need to develop 
applications which will use %{name}.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
./configure Linux -v --disable=arch-i686
make

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} MAN_DIR=$RPM_BUILD_ROOT%{_mandir}/man3 install

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS INSTALL LICENSE.LGPL README
%{_libdir}/*.so.*
%{_mandir}/man3/*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/v3d
%{_libdir}/*.so

%changelog
* Wed Jun 16 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.1.14-3mdk
- rebuild

* Sat Jul 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1.14-2mdk
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- quiet setup
- fix shlib-with-non-pic-code

* Fri May 02 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1.14-1mdk
- 0.1.14
- moved .so file to -devel package

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.5-3mdk
- rebuild

* Fri May 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.5-2mdk
- rebuild against new libstdc++

* Tue Sep 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.5-1mdk
- added by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	-  0.1.5

* Wed Aug 15 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1.4-1mdk
- first Mandrake release
